Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List products

Lists products (minimal fields) with pagination.

GET/api/v2/{team_slug}/{app_slug}/products
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
Query parameters
pageinteger
per-pageinteger
searchstring
statusstring[]

Repeatable status filter

not-statusstring[]

Repeatable excluded status

sort-keystring
default: "created-at"
Allowed:product-nameproduct-numbercreated-atupdated-atstatustagcategorycollection
sort-orderstring
default: "desc"
Allowed:ascdesc
created-at-beforestring<date-time>
created-at-afterstring<date-time>
updated-at-beforestring<date-time>
updated-at-afterstring<date-time>
has-descriptionboolean
description-includesstring
not-description-includesstring
has-translationsboolean
has-translations-for-localestring
not-has-translations-for-localestring
has-product-relationboolean
product-relation-typestring
not-product-relation-typestring
product-idstring<uuid>[]

Repeatable product id

not-product-idstring<uuid>[]

Repeatable excluded product id

market-idstring<uuid>[]

Repeatable market id

not-market-idstring<uuid>[]

Repeatable excluded market id

category-idstring<uuid>[]

Repeatable category id

exclude-category-idstring<uuid>[]

Repeatable excluded category id

main-category-idstring<uuid>[]

Repeatable main category id

brand-idstring<uuid>[]

Repeatable brand id

not-brand-idstring<uuid>[]

Repeatable excluded brand id

collection-idstring<uuid>[]

Repeatable collection id

not-collection-idstring<uuid>[]

Repeatable excluded collection id

tag-idstring<uuid>[]

Repeatable tag id

not-tag-idstring<uuid>[]

Repeatable excluded tag id

attribute-idstring<uuid>[]

Repeatable attribute id

not-attribute-idstring<uuid>[]

Repeatable excluded attribute id

smart-listing-idstring<uuid>[]

Repeatable smart listing id

not-smart-listing-idstring<uuid>[]

Repeatable excluded smart listing id

static-listing-idstring<uuid>[]

Repeatable static listing id

not-static-listing-idstring<uuid>[]

Repeatable excluded static listing id

product-market-statusstring[]

Repeatable market status (active

product-market-status-marketstring<uuid>[]

Repeatable market id

product-market-status-store-groupstring<uuid>

Store group id

not-product-market-statusstring[]

Repeatable excluded market status

not-product-market-status-marketstring<uuid>[]

Repeatable excluded market id

not-product-market-status-store-groupstring<uuid>

Excluded store group id

channel-idstring<uuid>[]

Repeatable channel id

channel-statusstring

Requires channel-id

Allowed:activeincomplete
not-channel-idstring<uuid>[]

Repeatable excluded channel id

not-channel-statusstring

Requires not-channel-id

Allowed:activeincomplete
dont-match-publishing-rulesboolean
no-categoriesboolean
no-variantsboolean
Responses
200

OK

dataProductListItem[]required
Show properties
Array of ProductListItem
idUUIDrequired
product_namestringrequired
product_numberstringrequired
slugstring
statusstringrequired
meta_titlestring
meta_descriptionstring
html_descriptionstring
html_short_descriptionstring
descriptionstring
short_descriptionstring
tax_group_idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
product_typestring
exclude_from_feedsboolean
product_dimensionsProductDimension | null
Show properties
Any of:
ProductDimension
widthinteger
heightinteger
lengthinteger
depthinteger
weightinteger
diameterinteger
capacity_milliliterinteger
null
null
package_dimensionsProductDimension | null
Show properties
Any of:
ProductDimension
widthinteger
heightinteger
lengthinteger
depthinteger
weightinteger
diameterinteger
capacity_milliliterinteger
null
null
custom_fieldsobject | null
brandProductBrand | null
Show properties
Any of:
ProductBrand
idUUIDrequired
namestringrequired
slugstringrequired
seriesProductBrandSeries | null
Show properties
Any of:
ProductBrandSeries
idUUIDrequired
namestringrequired
slugstringrequired
null
null
null
null
categoriesProductCategoryRef[] | null
Show properties
Array of ProductCategoryRef
idUUIDrequired
slugstring
uristring
titlestring
is_main_categoryboolean
collectionsProductCollectionRef[] | null
Show properties
Array of ProductCollectionRef
idUUIDrequired
slugstring
uristring
titlestring
tagsProductTagRef[] | null
Show properties
Array of ProductTagRef
idUUIDrequired
keystring
namestring
imagesProductImageRef[] | null
Show properties
Array of ProductImageRef
idUUIDrequired
urlstring
titlestring
priorityinteger
videosProductVideoRef[] | null
Show properties
Array of ProductVideoRef
idUUIDrequired
urlstring
titlestring
filesProductFileRef[] | null
Show properties
Array of ProductFileRef
idUUIDrequired
urlstring
titlestring
created_atstring<date-time>
updated_atstring<date-time> | null
variant_groupsProductVariantGroupRef[] | null
Show properties
Array of ProductVariantGroupRef
idUUIDrequired
namestring
slugstring
imagesProductImageRef[] | null
third_party_linksProductThirdPartyLinkRef[] | null
Show properties
Array of ProductThirdPartyLinkRef
idUUIDrequired
typestring
titlestring
urlstring
attributesProductAttribute[] | null
Show properties
Array of ProductAttribute
idUUIDrequired
keystring
template_keystring
template_namestring
namestring
descriptionstring
filterableboolean
translatableboolean
valuesobject
market_statusProductMarketStatus[] | null
Show properties
Array of ProductMarketStatus
market_idUUIDrequired
store_group_idUUIDrequired
market_slugstring
store_group_slugstring
statusstringrequired
Allowed:activeinactivedraftincompletearchived
channel_statusesProductChannelStatus[] | null
Show properties
Array of ProductChannelStatus
channel_idUUIDrequired
channel_slugstring
statusstringrequired
translationsProductTranslations | null
Show properties
Any of:
ProductTranslations
nameTranslation[]
Show properties
Array of Translation
idUUID
localestring
valuestring
slugTranslation[]
descriptionTranslation[]
short_descriptionTranslation[]
html_descriptionTranslation[]
html_short_descriptionTranslation[]
meta_titleTranslation[]
meta_descriptionTranslation[]
null
null
created_atstring<date-time>required
updated_atstring<date-time> | null
total_pagesintegerrequired
total_itemsintegerrequired
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v2/string/string/products' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "product_name": "string",
      "product_number": "string",
      "slug": "string",
      "status": "string",
      "meta_title": "string",
      "meta_description": "string",
      "html_description": "string",
      "html_short_description": "string",
      "description": "string",
      "short_description": "string",
      "tax_group_id": "4496f79f-aa1a-4128-84f5-5c1c0836a341",
      "product_type": "string",
      "exclude_from_feeds": true,
      "product_dimensions": {
        "width": 0,
        "height": 0,
        "length": 0,
        "depth": 0,
        "weight": 0,
        "diameter": 0,
        "capacity_milliliter": 0
      },
      "package_dimensions": {
        "width": 0,
        "height": 0,
        "length": 0,
        "depth": 0,
        "weight": 0,
        "diameter": 0,
        "capacity_milliliter": 0
      },
      "custom_fields": {
        "property1": "string",
        "property2": "string"
      },
      "brand": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "slug": "string",
        "series": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "slug": "string"
        }
      },
      "categories": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "slug": "string",
          "uri": "string",
          "title": "string",
          "is_main_category": true
        }
      ],
      "collections": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "slug": "string",
          "uri": "string",
          "title": "string"
        }
      ],
      "tags": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "key": "string",
          "name": "string"
        }
      ],
      "images": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "url": "string",
          "title": "string",
          "priority": 0
        }
      ],
      "videos": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "url": "string",
          "title": "string"
        }
      ],
      "files": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "url": "string",
          "title": "string",
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z"
        }
      ],
      "variant_groups": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "slug": "string",
          "images": [
            {
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
              "url": "string",
              "title": "string",
              "priority": 0
            }
          ]
        }
      ],
      "third_party_links": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "type": "string",
          "title": "string",
          "url": "string"
        }
      ],
      "attributes": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "key": "string",
          "template_key": "string",
          "template_name": "string",
          "name": "string",
          "description": "string",
          "filterable": true,
          "translatable": true,
          "values": {
            "property1": "string",
            "property2": "string"
          }
        }
      ],
      "market_status": [
        {
          "market_id": "6364d859-8e1b-477a-bacc-de8305a9292b",
          "store_group_id": "6c760e36-a704-4b09-93bb-c191a46ca67f",
          "market_slug": "string",
          "store_group_slug": "string",
          "status": "active"
        }
      ],
      "channel_statuses": [
        {
          "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459",
          "channel_slug": "string",
          "status": "string"
        }
      ],
      "translations": {
        "name": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ],
        "slug": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ],
        "description": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ],
        "short_description": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ],
        "html_description": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ],
        "html_short_description": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ],
        "meta_title": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ],
        "meta_description": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ]
      },
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total_pages": 0,
  "total_items": 0
}